/**
 * Internal dependencies
 */
import { getPaymentForms } from '@wpsimplepay/pro/frontend/payment-forms';

/**
 * Find Payment Method owner data in the form.
 *
 * @param {jQuery} spFormElem Form element jQuery object.
 * @param {Object} formData Configured form data.
 */
export function getOwnerData( spFormElem, formData ) {
	const { 'stripe-elements': stripeElements } = getPaymentForms();
	const { getOwnerData: __getOwnerData } = stripeElements;

	return __getOwnerData( spFormElem, formData );
}
